2018-01-22 20:06 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002792OpenFOAM[All Projects] Bugpublic2017-12-18 16:21
Reporterhk318i 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version5.x 
Target VersionFixed in Version5.x 
Summary0002792: postProcess in parallel
DescriptionI noticed jumps in the sampled value using singleGraph function in parallel.
So in order to check that, I tried using the pitzDaily tutorial of simpleFoam and sampled the results over three vertical line at different locations downstream.
Also, I tried using different number of CPUs, please see attached plots.
Steps To Reproduce$ run: pitzDaily tutorial of simpleFoam
$ run: postProcess -func sampleDict -latestTime (dict attached)
$ decomposePar -latestTime (I used scotch method)
$ run: mpirun -np 16 postProcess -func sampleDict -latestTime -parallel
$ use different processors (problem starts from 8 cores)
TagsNo tags attached.
Attached Files
  • png file icon cpu1.png (6,856 bytes) 2017-12-15 13:22 -
    png file icon cpu1.png (6,856 bytes) 2017-12-15 13:22 +
  • png file icon cpu4.png (6,834 bytes) 2017-12-15 13:22 -
    png file icon cpu4.png (6,834 bytes) 2017-12-15 13:22 +
  • png file icon cpu8.png (8,195 bytes) 2017-12-15 13:23 -
    png file icon cpu8.png (8,195 bytes) 2017-12-15 13:23 +
  • png file icon cpu16.png (8,267 bytes) 2017-12-15 13:23 -
    png file icon cpu16.png (8,267 bytes) 2017-12-15 13:23 +
  • ? file icon sampleDict (3,746 bytes) 2017-12-15 13:23 -
    /*--------------------------------*- C++ -*----------------------------------*\
    | =========                 |                                                 |
    | \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
    |  \\    /   O peration     | Version:  5                                     |
    |   \\  /    A nd           | Web:      www.OpenFOAM.com                      |
    |    \\/     M anipulation  |                                                 |
    \*---------------------------------------------------------------------------*/
    
    FoamFile
    {
        version         2.0;
        format          ascii;
        class           dictionary;
        location        system;
        object          sampleDict;
    }
    
    // * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
    
    // Set output format : choice of
    //      xmgr
    //      jplot
    //      gnuplot
    //      raw
    setFormat raw;
    type sets;
    libs ("libsampling.so");
    
    // Surface output format. Choice of
    //      null        : suppress output
    //      foamFile    : separate points, faces and values file
    //      dx          : DX scalar or vector format
    //      vtk         : VTK ascii format
    //      raw         : x y z value format for use with e.g. gnuplot 'splot'.
    //
    // Note:
    // other formats such as obj, stl, etc can also be written (by proxy)
    // but without any values!
    surfaceFormat vtk;
    
    // interpolationScheme. choice of
    //      cell          : use cell-centre value only; constant over cells (default)
    //      cellPoint     : use cell-centre and vertex values
    //      cellPointFace : use cell-centre, vertex and face values.
    // 1] vertex values determined from neighbouring cell-centre values
    // 2] face values determined using the current face interpolation scheme
    //    for the field (linear, gamma, etc.)
    interpolationScheme cellPoint;
    
    // Fields to sample.
    fields
    (
     U
    );
    
    
    // Set sampling definition: choice of
    //      uniform             evenly distributed points on line
    //      face                one point per face intersection
    //      midPoint            one point per cell, inbetween two face intersections
    //      midPointAndFace     combination of face and midPoint
    //
    //      curve               specified points, not nessecary on line, uses
    //                          tracking
    //      cloud               specified points, uses findCell
    //
    // axis: how to write point coordinate. Choice of
    // - x/y/z: x/y/z coordinate only
    // - xyz: three columns
    //  (probably does not make sense for anything but raw)
    // - distance: distance from start of sampling line (if uses line) or
    //             distance from first specified sampling point
    //
    // type specific:
    //      uniform, face, midPoint, midPointAndFace : start and end coordinate
    //      uniform: extra number of sampling points
    //      curve, cloud: list of coordinates
    sets
    (
        lineA
        {
            type        uniform;
            axis        distance;
    
            start       (0.02 -0.0254 0.0);
            end         (0.02  0.0254 0.0);
            nPoints     100;
        }
        lineB
        {
            type        uniform;
            axis        distance;
    
            start       (0.135 -0.0254 0.0);
            end         (0.135 0.0254 0.0);
            nPoints     100;
        }
        lineC
        {
            type        uniform;
            axis        distance;
    
            start       (0.2 -0.0254 0.0);
            end         (0.2 0.0254 0.0);
            nPoints     100;
        }
    
    
    );
    
    
    // Surface sampling definition: choice of
    //      plane : values on plane defined by point, normal.
    //      patch : values on patch.
    //
    // 1] patches are not triangulated by default
    // 2] planes are always triangulated
    // 3] iso-surfaces are always triangulated
    surfaces ();
    
    // *********************************************************************** //
    
    ? file icon sampleDict (3,746 bytes) 2017-12-15 13:23 +

-Relationships
+Relationships

-Notes

~0009164

henry (manager)

Resolved in OpenFOAM-5.x by commit 21c26d7eee3fa8b6fbe1336d022905a7b25c75ac

Resolved in OpenFOAM-dev by commit 6c5c27c0b107959aeaf8b398c4774d51285acfdd
+Notes

-Issue History
Date Modified Username Field Change
2017-12-15 13:22 hk318i New Issue
2017-12-15 13:22 hk318i File Added: cpu1.png
2017-12-15 13:22 hk318i File Added: cpu4.png
2017-12-15 13:23 hk318i File Added: cpu8.png
2017-12-15 13:23 hk318i File Added: cpu16.png
2017-12-15 13:23 hk318i File Added: sampleDict
2017-12-18 16:21 henry Assigned To => henry
2017-12-18 16:21 henry Status new => resolved
2017-12-18 16:21 henry Resolution open => fixed
2017-12-18 16:21 henry Fixed in Version => 5.x
2017-12-18 16:21 henry Note Added: 0009164
+Issue History